Градл перестал билдить

Версия Minecraft
1.7.10

tox1cozZ

aka Agravaine
8,455
598
2,892
210
1
19
Всё что ниже update 101 использовать уже нельзя.
Разобрался. Поставил распоследний. В итоге полезла куча ошибок. Попробовал поставить версию 202 (наугад) - те же ошибки. Вернул версию 20 - и даже тут те же ошибки теперь.
Вот фрагмент:
1633429455139.png
Как я понимаю, этот конч докапывается до моих описаний параметров в методах и функциях. И придирок у него за сотню. Можно ли отключить каким-то параметром, добавленным в строку "gradlew build" проверку на "политкорректность" дескрипшнов?
К примеру, тут:
1633429572443.png
он требует добавить "@return описание". Честно говоря, заниматься переписыванием всего не очень хочется.
 
1,071
72
372
Как я понимаю, этот конч докапывается до моих описаний параметров в методах и функциях.
Таск javadoc не запускай и всё, он не нужен. Сам по себе он не запускается.
У меня самая последняя версия JDK стоит, всё работает отлично.
 
7,099
324
1,510
А что в итоге помогло? Обновил jdk и выключил javadoc?
 
210
1
19
1. Опытным путем выяснил, что JDK можно ставить параллельно - необязательно сносить старые, а достаточно менять переменную JAVA_HOME (для начинающих: это нажать Win+Break ->дополнительные параметры системы -> переменные среды -> системные переменные). В итоге стоят тут (на работе) 20, 202 и 301, заработало на 202-ой, только что проверил на 301-ой - тоже работает.

2. Javadoc выключил - из файла build.gradle удалил код, где это слово нашел, и ещё удалил строчку, которая вызывала этот код.

3. Файл build.gradle взял из примера hohserg'а - там, где про форк от anatawa12. При этом исправил там нижеследующее:
1633435291631.png

На всякий случай вот полностью весь файл, что у меня получилось (с его е-мейлом, ага):
buildscript {
repositories {
mavenCentral()
maven {
name = "forge"
url = "https://repo.spongepowered.org/repository/forge-proxy"
}
maven {
name = "sonatype"
url = "https://oss.sonatype.org/content/repositories/snapshots/"
}
}
dependencies {
classpath ('com.anatawa12.forge:ForgeGradle:1.2-1.0.+') {
changing = true
}
}
}

apply plugin: 'forge'
apply plugin: 'java'
apply plugin: 'maven'
apply plugin: 'signing'

sourceCompatibility = targetCompatibility = '1.8'

version = "1.0"
group = "ru.lao.rha"
archivesBaseName = "rha"

minecraft {
version = "1.7.10-10.13.4.1558-1.7.10"
runDir = "eclipse"
}

configurations {
extraLibs
}

compileJava {
options.compilerArgs += [
'-Aelegantnetworking.printDetails'
]
}


processResources
{
// this will ensure that this task is redone when the versions change.
inputs.property "version", project.version
inputs.property "mcversion", project.minecraft.version

// replace stuff in mcmod.info, nothing else
from(sourceSets.main.resources.srcDirs) {
include 'mcmod.info'

// replace version and mcversion
expand 'version':project.version, 'mcversion':project.minecraft.version
}

// copy everything else, thats not the mcmod.info
from(sourceSets.main.resources.srcDirs) {
exclude 'mcmod.info'
}
}

task sourcesJar(type: Jar, dependsOn: classes) {
classifier = 'sources'
from sourceSets.main.allSource
exclude('hohserg/elegant/networking/test/**')
}

artifacts {
archives sourcesJar
}

signing {
required { project.hasProperty("signing.keyId") }
sign configurations.archives
}

uploadArchives {
repositories {
mavenDeployer {
beforeDeployment { MavenDeployment deployment -> signing.signPom(deployment) }

def releasesRepoUrl = "https://oss.sonatype.org/service/local/staging/deploy/maven2/"
def snapshotsRepoUrl = "https://oss.sonatype.org/content/repositories/snapshots/"
repository(url: releasesRepoUrl/'file://localhost/' + new File(project.getProjectDir(),'repo').getAbsolutePath()/) {
if (project.hasProperty("ossrhUsername"))
authentication userName: "[imath]ossrhUsername", password: "[/imath]ossrhPassword"
}

pom.artifactId = 'elegant-networking-1.7.10'
pom.project {
name 'ElegantNetworking MinecraftForge 1.7.10 library'
packaging 'jar'
description 'This is a runtime library of ElegantNetworking for MinecraftForge 1.7.10'
url 'GitHub - ElegantNetworking/ElegantNetworkingRoot: Root project for ElegantNetworking development'

scm {
connection = 'scm:git:GitHub - ElegantNetworking/ElegantNetworking_1.7.10'
developerConnection = 'scm:git:[email protected]:GitHub - ElegantNetworking/ElegantNetworking_1.7.10'
url = 'GitHub - ElegantNetworking/ElegantNetworking_1.7.10'
}

licenses {
license {
name = 'GNU Lesser General Public License v3.0'
url = 'https://raw.githubusercontent.com/ElegantNetworking/ElegantNetworking_1.7.10/master/LICENSE.md'
}
}

developers {
developer {
id = 'hohserg'
name = 'hohserg'
email = '[email protected]'
}
}
}
pom.whenConfigured {
p -> p.dependencies = []
}
}
}
}

4. И ранее исправлял в файле gradle-wrapper.properties:
"distributionUrl=https\://services.gradle.org/distributions/gradle-2.0-bin.zip"
на
"distributionUrl=https\://services.gradle.org/distributions/gradle-4.4.1-bin.zip"

5. Пришёл домой, попробовал - компилируется, но не работает мод после. Добил гада эмпирическим путем. Дополняю, как исправил:
sourceCompatibility = targetCompatibility = '1.8' -тут вместо 1.8 поставил 1.7.10.

Всё.
 
Последнее редактирование:
пробывал разные версии gradlew ошибка BUILD FAILED

C:\Mod>gradlew setupDecompWorkspace
Downloading https://services.gradle.org/distributions/gradle-5.6.4-bin.zip
................................................................................
.........
Unzipping C:\Users\User\.gradle\wrapper\dists\gradle-5.6.4-bin\bxirm19lnfz6nurba
tndyydux\gradle-5.6.4-bin.zip to C:\Users\User\.gradle\wrapper\dists\gradle-5.6.
4-bin\bxirm19lnfz6nurbatndyydux

Welcome to Gradle 5.6.4!

Here are the highlights of this release:
  • Incremental Groovy compilation
  • Groovy compile avoidance
  • Test fixtures for Java projects
  • Manage plugin versions via settings script

For more details see Gradle 5.6.4 Release Notes

To honour the JVM settings for this build a new JVM will be forked. Please consi
der using the daemon: The Gradle Daemon
.
Daemon will be stopped at the end of the build stopping after processing

New Dep: net.minecraftforge:forge:1.12.2-14.23.5.2859_mapped_snapshot_20171003-1.12

FAILURE: Build failed with an exception.

* What went wrong:
Task 'setupDecompWorkspace' not found in root project 'Mod'.

* Try:
Run gradlew tasks to get a list of available tasks. Run with --stacktrace option
to get the stack trace. Run with --info or --debug option to get more log outpu
t. Run with --scan to get full insights.

* Get more help at Gradle | Search for Help with Gradle

BUILD FAILED in 54s
 
1,071
72
372
Сверху